Subject: Re: bug#65995: 29.1; \cC does not match some CJK IDEOGRAPHs

From: Eli Zaretskii <[email-masked]>
Date: Sat, 16 Sep 2023 10:54:44 +0300

> From: [email-masked]
> Date: Fri, 15 Sep 2023 21:31:29 +0900
> 
> 
> The Unicode ranges U+3400..U+4DBF and U+4E00..U+9FFF are completely
> filled with CJK UNIFIED IDEOGRAPHs, and all characters in them should be
> matched by \cC.
> But characters in ranges U+4DB6..U+4DBF and U+9FD6..U+9FFF are not
> matched by \cC.
> 
> (string-match "\\cC" (apply #'string (number-sequence #x4DB6 #x4DBF)))
> =>nil
> (string-match "\\cC" (apply #'string (number-sequence #x9FD6 #x9FFF)))
> =>nil

Thanks, now fixed on the emacs-29 branch, and closing the bug.